{ config, lib, pkgs, inputs, ... }:

# Microsoft Defender for Endpoint
#
# References:
#   - https://github.com/epetousis/nix-mdatp

let
  cfg = config.work.mdatp;
in {
  imports = [
    inputs.mdatp.nixosModules.mdatp
  ];

  options.work.mdatp = {
    enable = lib.mkEnableOption "Microsoft Defender for Endpoint";
  };

  config = lib.mkIf cfg.enable {
    services.mdatp.enable = true;
  };
}
